Subject: [alpine-aports] [PATCH 1/2] community/youtube-dl: upgrade to 2017.02.21

From: Ivan Tham <[email-masked]>
Date: Thu, 23 Feb 2017 01:16:37 +0800

---
 community/youtube-dl/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/community/youtube-dl/APKBUILD b/community/youtube-dl/APKBUILD
index 8bb6e260f9..a9bea8b50b 100644
--- a/community/youtube-dl/APKBUILD
+++ b/community/youtube-dl/APKBUILD
@@ -3,10 +3,10 @@
 # Contributor: Timo Teräs <[email-masked]>
 # Maintainer: Timo Teräs <[email-masked]>
 pkgname=youtube-dl
-pkgver=2017.02.14
+pkgver=2017.02.21
 pkgrel=0
-pkgdesc="A small command-line program to download videos from YouTube."
-url="http://youtube-dl.org "
+pkgdesc="A small command-line program to download videos from YouTube"
+url="http://youtube-dl.org"
 arch="noarch"
 license="Unlicense"
 depends="python2 py-setuptools ffmpeg"
@@ -59,4 +59,4 @@ fishcomp() {
 		"$subpkgdir"/usr/share/fish/completions/ || return 1
 }
 
-sha512sums="6df79f304fa24f889629dd4cc4a24c90af8e1c9fb1352c5b1d3a5685f91b81fff9a71c5be31decc85515b93f7153607096ef9f47148364a2d562922c52f79a09  youtube-dl-2017.02.14.tar.gz"
+sha512sums="3c1702a6d06bf8c632d1d0b9538da5befabcdd3b815563d46036ce28952408cc5be54905e71c2b7bb41c640798b49995c21ae9e975b45d1569cf2157c33a1a58  youtube-dl-2017.02.21.tar.gz"
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Ivan Tham <[email-masked]>
Date: Thu, 23 Feb 2017 01:16:38 +0800

https://you-get.org/
Tiny command line utility to download media contents
---
 testing/you-get/APKBUILD | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)
 create mode 100644 testing/you-get/APKBUILD

diff --git a/testing/you-get/APKBUILD b/testing/you-get/APKBUILD
new file mode 100644
index 0000000000..7982c81d3f
--- /dev/null
+++ b/testing/you-get/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Ivan Tham <[email-masked]>
+# Maintainer: Ivan Tham <[email-masked]>
+pkgname=you-get
+pkgver=0.4.652
+pkgrel=0
+pkgdesc="Tiny command line utility to download media contents"
+url="https://you-get.org/"
+arch="noarch"
+license="MIT"
+depends="python3"
+makedepends="python3-dev"
+subpackages=""
+source="https://files.pythonhosted.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	python3 setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+sha512sums="b3c736915492d9d921ec6866edb35acb12b5fb283663db8ad3d87325d06354697196ffdffef13291a709bd8bf5b5db6a61ee6288c083f0939d6ac8637b014ab4  you-get-0.4.652.tar.gz"
-- 
2.11.1

---